"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parserImpl_1 = require("../parserImpl");
function getCppImpl() {
    return {
        Lexer: require('../grammar/cpp/CPP14Lexer').CPP14Lexer,
        Parser: require('../grammar/cpp/CPP14Parser').CPP14Parser,
        mainRule: 'translationunit',
        redundantTypes: function (node, parent) { return parserImpl_1.preventRedundantTypeNames(node, parent, function (node) { return node.type.endsWith('expression') || ['ptrdeclarator', 'noptrdeclarator', 'declarationseq'].includes(node.type); }); }
    };
}
exports.getCppImpl = getCppImpl;
//# sourceMappingURL=cppAntlr.js.map