"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var parserImpl_1 = require("../parserImpl");
function getSmalltalkImpl() {
    return {
        Lexer: require('../grammar/smalltalk/SmalltalkLexer').SmalltalkLexer,
        Parser: require('../grammar/smalltalk/SmalltalkParser').SmalltalkParser,
        mainRule: 'script',
        redundantTypes: function (node, parent) { return parserImpl_1.preventRedundantTypeNames(node, parent, function (node) { return ['ws', 'parsetimeLiteral', 'binarySend', 'unarySend', 'cascade', 'expressions', 'expression'].includes(node.type); }); }
    };
}
exports.getSmalltalkImpl = getSmalltalkImpl;
//# sourceMappingURL=smalltalk.js.map