"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
/**
 * List given enum keys as array. Must be used on enums with declared values (enum E {a='a', b='b'},
 * if not values could be also returned . For enums without declared values, use enumNoValueKeys
 */
function enumKeys(anEnum) {
    var a = [];
    for (var i in anEnum) {
        a.push(i);
    }
    return a;
}
exports.enumKeys = enumKeys;
var fs_1 = require("fs");
var misc_utils_of_mine_generic_1 = require("misc-utils-of-mine-generic");
var path_1 = require("path");
var packageJsonFolder;
function getPackageJsonFolder(f) {
    if (f === void 0) { f = __dirname; }
    if (!misc_utils_of_mine_generic_1.isNode() && misc_utils_of_mine_generic_1.inBrowser()) {
        return '';
    }
    if (!packageJsonFolder) {
        if (fs_1.existsSync(path_1.join(f, 'package.json')) && fs_1.existsSync(path_1.join(f, 'node_modules'))) {
            packageJsonFolder = f;
        }
        else {
            var p = path_1.join(f, '..');
            if (p && p !== '/') {
                packageJsonFolder = getPackageJsonFolder(p);
            }
        }
    }
    return packageJsonFolder;
}
exports.getPackageJsonFolder = getPackageJsonFolder;
//# sourceMappingURL=misc.js.map