import { Ctx, CtxPosition } from './antlr4Types';
import { GetAstOptions, Node, NodePosition, Normalizer } from './types';
export declare class Visitor implements Normalizer<Ctx> {
    protected currentParent: Node | undefined;
    protected _options: GetAstOptions | undefined;
    options: GetAstOptions | undefined;
    getAst(): Node;
    protected visitChildren(ctx: Ctx): any[] | Node | undefined;
    getNode(ctx: Ctx): Node;
    protected getPosition(start: CtxPosition): NodePosition;
}
