import { SyntaxNode } from 'web-tree-sitter';
import { GetAstOptions, Node, NodePosition, Normalizer } from './types';
/**
 * Must return the same kind of object than returned by Visitor
 */
export declare class TreeSitterVisitor implements Normalizer<SyntaxNode> {
    private _options;
    options: GetAstOptions | undefined;
    getAst(): Node;
    getNode(sn: SyntaxNode): Node;
    protected getStopPosition(sn: SyntaxNode): NodePosition | undefined;
    protected getStartPosition(sn: SyntaxNode): NodePosition | undefined;
}
